Skifte php version på Ubuntu

Det er en fordel at have mulighed for at installere flere forskellige version af php, og skifte mellem dem forholdsvist nemt. På den måde kan man hurtigt fortryde, hvis man får skiftet til en version der viser sig ikke at være kompatibel med ens kode.

De fleste har både php til Apache og php til kommandolinien (php cli), og man skal huske at skifte begge.

Apache PHP

CLI PHP

Find alt der er php relateret:

Derefter foretages de nødvendige ændringer for cli mv… I mit tilfælde drejer det sig om følgende:

Vær opmærksom på også køre update-alternatives for disse, hvis de er installeret:

phpize
php-config

… og hvis 7.1 så ikke fungerer for dig, kan du på samme måde skifte tilbage til 5.6.